Bug 105651 - Installing flash plugin for Mozilla hangs system totally
Installing flash plugin for Mozilla hangs system totally
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 06:07 EDT by Jussi Torhonen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/XF86Config config file (3.10 KB, text/plain)
2003-10-09 01:44 EDT, Jussi Torhonen
no flags Details
/var/log/XFree86.0.log logfile after a crash and reboot (33.52 KB, text/plain)
2003-10-09 01:45 EDT, Jussi Torhonen
no flags Details
/var/log/XFree86.0.log.old logfile after a crash and reboot (379.61 KB, text/plain)
2003-10-09 01:46 EDT, Jussi Torhonen
no flags Details
/var/log/messages logfile covering the crash event (nothing here) (28.61 KB, text/plain)
2003-10-09 01:48 EDT, Jussi Torhonen
no flags Details
lsmod listing just before crash (1.76 KB, text/plain)
2003-10-09 01:48 EDT, Jussi Torhonen
no flags Details
dmesg info (8.95 KB, text/plain)
2003-10-09 01:49 EDT, Jussi Torhonen
no flags Details
misc /proc information (1.79 KB, text/plain)
2003-10-09 01:49 EDT, Jussi Torhonen
no flags Details
/etc/X11/XF86Config config file from that crashing RH9 client (3.09 KB, text/plain)
2003-10-09 02:34 EDT, Jussi Torhonen
no flags Details
/var/log/XFree86.0.log from that crashing RH9 client (29.72 KB, text/plain)
2003-10-09 02:35 EDT, Jussi Torhonen
no flags Details
/var/log/XFree86.0.log.old from that crashing RH9 client (29.86 KB, text/plain)
2003-10-09 02:35 EDT, Jussi Torhonen
no flags Details
/var/log/messages from that crashing RH9 client (15.57 KB, text/plain)
2003-10-09 02:39 EDT, Jussi Torhonen
no flags Details
lsmod listing from that crashing RH9 client (1.18 KB, text/plain)
2003-10-09 02:40 EDT, Jussi Torhonen
no flags Details
dmesg info from that crashing RH9 client (7.03 KB, text/plain)
2003-10-09 02:40 EDT, Jussi Torhonen
no flags Details
/proc info from that crashing RH9 client (1.57 KB, text/plain)
2003-10-09 02:41 EDT, Jussi Torhonen
no flags Details

  None (edit)
Description Jussi Torhonen 2003-09-26 06:07:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Installed Fedora test2 today. Looks good. It's missing Macromedia Flash plugin
for Mozilla so I downloaded and installed one (6.0r79) from
install_flash_player_6_linux.tar.gz

Then opened Mozilla, and selected URL http://www.pspt.fi since it requires Flash
plugin. Kaboom. The system was frozen. Had to reboot with power switch.

CPU Pentium II 233 MHz, RAM 96 MB, HDD 3.2 GB and videocard ATI Rage II c AGP.
Just ask me for more details if required.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install flash plugin
2. enter command 'mozilla http://www.pspt.fi'
3. feel the freeze

    

Actual Results:  The system freezes totally.


Expected Results:  Mozilla should launch and show that webpage with flash content.


Additional info:
Comment 1 Paul W. Frields 2003-09-28 11:49:55 EDT
Can't duplicate results using fresh Fedora Core test2 installation. Installed
flash plugin 6.0.79.0 as root without problems, visited noted site without any
issues.  Athlon (T-bird) 1.4, VIA KT266, Nvidia GeForce2MX.
Comment 2 Jussi Torhonen 2003-09-29 01:02:27 EDT
Here it crashes anyway. After removing plugins from /usr/lib/mozilla-1.4/plugins
directory Mozilla and the system is stabile again.
Comment 3 Christopher Blizzard 2003-09-29 17:09:40 EDT
Yeah, flash is really picky.  Shouldn't be crashing the system, though.  Marking
NOTABUG since it's really a problem with the flash plugin which we have _zero_
control over.
Comment 4 Jussi Torhonen 2003-09-30 02:06:54 EDT
But running Mozilla and Flash plug-in as a non-root user hangs the system. Looks
like a bug to me. The system should not hang this way only for an userland
application. Trying to kill X11 server as ctrl+alt+bkspc does not help. Cannot
log into the system over the network via sshd server since the system is dead.

The mobo is Intel AL440LX with the latest BIOS version available. I have tested
the memory with Memtest-86 v3.0 and there is no problem with the RAM.

The same plugin version works perfectly with an identical machine running RH
Linux 9. Ok, that one has 128 MB RAM and S3 Trio64V2/DX PCI video card. Not
completely identical, but the same mobo and bios anyway.
Comment 5 Behdad Esfahbod 2003-10-06 23:18:13 EDT
One thing I observed with Mozilla (and Epiphany) in test2:  They have some
problem with xmms!!!  Times to times I get a nonresponding mozilla (epiphany),
and closing xmms makes mozilla responding again!!!

Another one I found:  I installed flash plugin, and started to play some flash
with music, while xmms was playing too, I could hear both sounds, stopped xmms,
and the whole flash stopped, resumed xmms, and the flash (and its sound)
resumed!  I guess I asked gnome to start sound server when I login and the
problem was solved (esd).
Comment 6 Christopher Blizzard 2003-10-08 13:29:57 EDT
Over to X-land...
Comment 7 Mike A. Harris 2003-10-08 19:03:42 EDT
I agree with Jussi that this should not happen, so it is either an X bug,
kernel bug, or hardware/firmware bug.  Given the above information, I would
suspect either X or the kernel.

Please attach your XFree86 config file and /var/log/XFree86.0.log and
/var/log/XFree86.0.log.old from after a crash, as well as /var/log/messages
as individual uncompressed file attachments using the link below.  Also
attach the output of "lsmod" from after the X server has started.  This
information will give some clues for troubleshooting further.  Thanks.
Comment 8 Jussi Torhonen 2003-10-09 01:44:38 EDT
Created attachment 95051 [details]
/etc/X11/XF86Config config file
Comment 9 Jussi Torhonen 2003-10-09 01:45:42 EDT
Created attachment 95052 [details]
/var/log/XFree86.0.log logfile after a crash and reboot
Comment 10 Jussi Torhonen 2003-10-09 01:46:42 EDT
Created attachment 95053 [details]
/var/log/XFree86.0.log.old logfile after a crash and reboot
Comment 11 Jussi Torhonen 2003-10-09 01:48:04 EDT
Created attachment 95054 [details]
/var/log/messages logfile covering the crash event (nothing here)
Comment 12 Jussi Torhonen 2003-10-09 01:48:51 EDT
Created attachment 95055 [details]
lsmod listing just before crash
Comment 13 Jussi Torhonen 2003-10-09 01:49:25 EDT
Created attachment 95056 [details]
dmesg info
Comment 14 Jussi Torhonen 2003-10-09 01:49:59 EDT
Created attachment 95057 [details]
misc /proc information
Comment 15 Jussi Torhonen 2003-10-09 01:56:46 EDT
There're the attachments.

After crash, the machine responds to ping requests, but console is completely
dead. I cannot shift to virtual text mode console nor can I restart X with 
CTRL+ALT+BkSpc. Any network service like sshd does not respond.

Otherwise, that machine works fine. I can even browse the net with Mozilla
normally, but when hitting a webpage with Flash content, the machine dies
immediately.

I have a feeling that I got the same problem with an Red Hat Linux 9 (+ full
Errata) client mentioned earlier in comment #4. I'll try reproducing that.
Comment 16 Jussi Torhonen 2003-10-09 02:33:17 EDT
Yes, I can reproduce the problem in my RH9 test machine as well. After
installing the same (latest btw) Falsh player plugin 6.0r79 into this client and
loading a webpage with Flash content, the machne locks up immediately. Symptoms
are equal to those introduced above for Fedora/test2.

I'll put these RH9 configs and logs here as well.
Comment 17 Jussi Torhonen 2003-10-09 02:34:41 EDT
Created attachment 95059 [details]
/etc/X11/XF86Config config file from that crashing RH9 client
Comment 18 Jussi Torhonen 2003-10-09 02:35:19 EDT
Created attachment 95060 [details]
/var/log/XFree86.0.log from that crashing RH9 client
Comment 19 Jussi Torhonen 2003-10-09 02:35:52 EDT
Created attachment 95061 [details]
/var/log/XFree86.0.log.old from that crashing RH9 client
Comment 20 Jussi Torhonen 2003-10-09 02:39:40 EDT
Created attachment 95062 [details]
/var/log/messages from that crashing RH9 client
Comment 21 Jussi Torhonen 2003-10-09 02:40:17 EDT
Created attachment 95063 [details]
lsmod listing from that crashing RH9 client
Comment 22 Jussi Torhonen 2003-10-09 02:40:48 EDT
Created attachment 95064 [details]
dmesg info from that crashing RH9 client
Comment 23 Jussi Torhonen 2003-10-09 02:41:23 EDT
Created attachment 95065 [details]
/proc info from that crashing RH9 client
Comment 24 Jussi Torhonen 2003-10-15 06:51:25 EDT
Updated the system upto Fedora test #3 (0.95) and still it freezes totally, when
latest Macromedia Flash v6.0r79 plugin components are found in
/usr/lib/mozilla-1.4.1/plugins/ directory. If the are not there, Mozilla and the
system works well. 
Comment 25 Mikael Carneholm 2003-10-23 14:59:15 EDT
I use test3 here on a Dell Latitude CPXj650, and my problem is that flash
doesn't work - it doesn't crash the machine though. about:plugins lists
Shockwave Flash as supported, but no flash anims or videos work when viewing
sites containing them.

Very strange, it worked perfectly on RH9.
Comment 26 Warren Togami 2003-11-29 05:32:10 EST
Mikael, you problem is entirely different.  Install compat-libstdc++
and I guarantee you the plugin will work.  Also try my RPM from the
site below, and read the FAQ.

http://macromedia.mplug.org/
Comment 27 Mike A. Harris 2003-11-29 19:07:34 EST
Mikael:  I agree with Warren.  Flash not working, is a flash problem,
and not an XFree86 problem.  Using the URL provided might help you to
resolve the Flash issue you're having.  If it doesn't work, I suggest
using Red Hat mailing lists however as bugzilla is not a technical
support forum.

Jussi:  I've had a brief gander at your files, but need to look into
it deeper.  One problem, is that your /var/log/messages attachments
are from a reboot after the crashes.  I need the complete contents
of /var/log/messages from _before_ the crash, during, and after,
not just since the last reboot.  You could have a kernel Oops, or
any other problem occuring.  Can you attach a new messages file?
Comment 28 Mike A. Harris 2004-10-01 02:23:01 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Comment 29 Jussi Torhonen 2004-10-03 13:33:45 EDT
I cannot re-test this case any more. Those problematic pc's are now
out of my sight. Haven't got any new problems installing or using
Macromedia plugins with Fedore Core, Red Hat Linux or RHEL releases.

Note You need to log in before you can comment on or make changes to this bug.